apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: healthcheck
  namespace: argocd
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  project: system
  source:
    path: system/healthcheck
    repoURL: https://git.tbrnt.ch/tobru/gitops-zurrli.git
    targetRevision: HEAD
  destination:
    namespace: healthcheck
    server: https://kubernetes.default.svc
  syncPolicy:
    syncOptions:
    - CreateNamespace=true
